Bug 1013853 - RFE: Encrypt node traffic
RFE: Encrypt node traffic
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
Unspecified Unspecified
high Severity high
: ER3
: 6.3.0
Assigned To: gsheldon
Depends On:
Blocks: 1092056
  Show dependency treegraph
Reported: 2013-09-30 19:47 EDT by Misha H. Ali
Modified: 2014-07-20 22:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-07-20 22:15:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2013-09-30 19:47:29 EDT
Encrypt traffic between nodes of the cluster via ENRCYPT - will work for both Library and Client-server modes.
Comment 4 Misha H. Ali 2013-10-09 18:45:51 EDT

This item was added to the current scope of work after your email (Subject: Secure communication within JDG cluster).

Gemma consulted with Tristan about this feature and his comments were that this is not available in JDG 6.2 as it is not in the ERD.

I've copied Tristan into this bug as well in case he has additional comments the response leads me to believe that this is NOTABUG for this release. Do you ACK closing this bug for 6.2?
Comment 8 Misha H. Ali 2013-10-19 03:36:27 EDT
Commented out topics for this bug as part of Beta docs preparation.
Comment 13 Vojtech Juranek 2014-07-07 06:17:43 EDT
It should be setup as 
<security-realm name="ApplicationRealm">
    <ssl protocol="...">
      <keystore path="..." relative-to="..." keystore-password="..." alias="..." key-password="..." />

  [... authentication/authorization ...]


More detains about possible options can be found in https://docs.jboss.org/author/display/AS71/Security+Realms  in "Detailed Configuration" section.
Comment 22 Vojtech Juranek 2014-07-10 02:29:49 EDT
> Please confirm each point with Martin/Vojtech

All changes proposed by Divya in comment #18 makes sense for me and are correct
Comment 26 gsheldon 2014-07-14 02:42:40 EDT
Tracking comments 24 and 25 in the appropriate bug (BZ#1067739).

Setting this bug back to ON QA for everything else and a NEEDINFO for Martin for QE ack.
Comment 27 Misha H. Ali 2014-07-20 22:15:07 EDT
Now available on access.redhat.com under the JBoss Data Grid 6.3 documentation label.

Note You need to log in before you can comment on or make changes to this bug.